services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  Opentalent\OtAdmin\:
    resource: '../Classes/*'

  Opentalent\OtAdmin\Command\CreateOrganizationCommand:
    tags:
      - name: 'ot:site:create'
        command: 'ot:site:create'
        schedulable: false

  Opentalent\OtAdmin\Command\DeleteOrganizationCommand:
    tags:
      - name: 'ot:site:delete'
        command: 'ot:site:delete'
        schedulable: false

  Opentalent\OtAdmin\Command\UndeleteOrganizationCommand:
    tags:
      - name: 'ot:site:undelete'
        command: 'ot:site:undelete'
        schedulable: false

  Opentalent\OtAdmin\Command\ClearSiteCacheCommand:
    tags:
      - name: 'ot:site:clear-cache'
        command: 'ot:site:clear-cache'
        schedulable: true

  Opentalent\OtAdmin\Command\SetSiteDomainCommand:
    tags:
      - name: 'ot:site:setdomain'
        command: 'ot:site:setdomain'
        schedulable: true

  Opentalent\OtAdmin\Command\ResetBeUserPermsCommand:
    tags:
      - name: 'ot:site:reset-perms'
        command: 'ot:site:reset-perms'
        schedulable: true

  Opentalent\OtAdmin\Command\UpdateRoutingIndexCommand:
    tags:
      - name: 'ot:site:index'
        command: 'ot:site:index'
        schedulable: true

  Opentalent\OtAdmin\Command\GetSiteStatusCommand:
    tags:
      - name: 'ot:site:status'
        command: 'ot:site:status'
        schedulable: false

  Opentalent\OtAdmin\Command\AddRedirectionCommand:
    tags:
      - name: 'ot:redirection:add'
        command: 'ot:redirection:add'
        schedulable: false

  Opentalent\OtAdmin\Command\RemoveRedirectionCommand:
    tags:
      - name: 'ot:redirection:remove'
        command: 'ot:redirection:remove'
        schedulable: false

  Opentalent\OtAdmin\Command\ScanCommand:
    tags:
      - name: 'ot:scan'
        command: 'ot:scan'
        schedulable: true
